﻿using ConsoleApp2.Entities;

namespace ConsoleApp2.Options;

public enum ColumnType
{
    Blob,
    Text,
    UnDefine,
}

public class DataTransformOptions
{
    public Func<DataRecord, string>? DatabaseFilter { get; set; }
    public Dictionary<string, ColumnType> ColumnTypeConfig { get; set; } = new(); // "table.column" -> type

    public ColumnType GetColumnType(string table, string column)
    {
        return ColumnTypeConfig.GetValueOrDefault($"{table}.{column}", ColumnType.UnDefine);
    }
}